export const ColorLengend = ({
  colorScale,
  tickSpacing,
  circleRadius,
  tickTextOffset,
  onHover,
  hoverValue,
  fadeOpacity
}) =>
  colorScale.domain().map((domainValue, i) => (
    <g
      className="tick"
      transform={`translate(0,${i * tickSpacing})`}
      onMouseEnter={() => onHover(domainValue)}
      onMouseOut={() => onHover(null)}
      opacity={hoverValue && domainValue !== hoverValue ? fadeOpacity: 1}
    >
      <circle
        fill={colorScale(domainValue)}
        r={circleRadius}
      />
      <text x={tickTextOffset} dy=".32em">
        {domainValue}
      </text>
    </g>
  ));
